Package:

## Class boolean[][]

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `List` | `flatten()` Flattens a 2D array into a new collection.
    `boolean[][]` | `transpose()` A transpose method for 2D boolean arrays.

- - ### Methods Detail

    - #### public List flatten()

      Flattens a 2D array into a new collection. The items are copied row by row.

      Example usage:

          boolean[][] array = [[true, false], [true, false]]
          assert array.flatten() == [true, false, true, false]

      Returns:
        a Collection of the array elements
      Since:
        5.0.0

    - #### public boolean[][] transpose()

      A transpose method for 2D boolean arrays.

      Example usage:

          boolean[][] array = [[false, false], [true, true]]
          boolean[][] expected = [[false, true], [false, true]]
          def result = array.transpose()
          assert result == expected
          assert array.class.componentType == result.class.componentType

      Returns:
        the transposed 2D boolean array
      Since:
        5.0.0